# Created by pyp2rpm-3.2.2
%global pypi_name isort

Name:           python-isort
Version:        5.13.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        A Python utility / library to sort Python imports
License:        MIT
URL:            https://github.com/timothycrosley/isort
Source0:	%{pypi_source}
BuildArch:      noarch

%description
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%package -n     python3-%{pypi_name}
Summary:        A Python utility / library to sort Python imports
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
isort is a Python utility / library to sort imports alphabetically, and
automatically separated into sections. It provides a command line utility,
Python library and plugins for various editors to quickly sort all your
imports.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files isort

rm -fr %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/isort
%{_bindir}/isort-identify-imports


%changelog
* Sat Mar 01 2025 wally <wally> 5.13.2-2.mga10
+ Revision: 2155134
- rebuild for python3.13

* Fri Dec 29 2023 daviddavid <daviddavid> 5.13.2-1.mga10
+ Revision: 2023538
- new version: 5.13.2

* Thu Dec 28 2023 daviddavid <daviddavid> 5.12.0-2.mga10
+ Revision: 2022913
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 5.12.0-1.mga10
+ Revision: 1986240
- new 5.12.0

* Sat Mar 26 2022 umeabot <umeabot> 5.10.1-3.mga9
+ Revision: 1828435
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 5.10.1-2.mga9
+ Revision: 1772365
- rebuild for python3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 5.10.1-1.mga9
+ Revision: 1771239
- version 5.10.1

* Sun Aug 29 2021 wally <wally> 5.9.3-1.mga9
+ Revision: 1743411
- new version 5.9.3

* Thu Jul 01 2021 joequant <joequant> 5.9.1-1.mga9
+ Revision: 1734433
- update to 5.9.1

* Mon Mar 22 2021 daviddavid <daviddavid> 5.8.0-1.mga9
+ Revision: 1707360
- new version: 5.8.0
- rebuild for python 3.9

* Tue Oct 13 2020 shlomif <shlomif> 5.6.4-1.mga8
+ Revision: 1635255
- New version 5.6.4

* Fri Oct 09 2020 shlomif <shlomif> 5.6.1-1.mga8
+ Revision: 1632972
- New version 5.6.1

* Sun Feb 16 2020 umeabot <umeabot> 4.3.21.2-3.mga8
+ Revision: 1531023
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 4.3.21.2-2.mga8
+ Revision: 1438545
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 4.3.21.2-1.mga8
+ Revision: 1435678
- new version 4.3.21-2
- drop python2 support

* Sun Jun 30 2019 shlomif <shlomif> 4.3.21-1.mga8
+ Revision: 1416219
- New version 4.3.21

* Sun Apr 14 2019 daviddavid <daviddavid> 4.3.17-1.mga7
+ Revision: 1390018
- new version: 4.3.17
- use new python macros

* Fri Apr 05 2019 shlomif <shlomif> 4.3.16-1.mga7
+ Revision: 1386123
- New version 4.3.16

* Fri Mar 15 2019 shlomif <shlomif> 4.3.15-1.mga7
+ Revision: 1377701
- New version 4.3.15

* Tue Jan 08 2019 tv <tv> 4.3.4-4.mga7
+ Revision: 1351676
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.3.4-3.mga7
+ Revision: 1289094
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 4.3.4-2.mga7
+ Revision: 1224630
- Forgot to rename the files section

* Wed May 02 2018 kekepower <kekepower> 4.3.4-1.mga7
+ Revision: 1224629
- Update to version 4.3.4
- Rename python-isort to python2-isort
- Use python_provide
- Update BRs

* Sat Nov 04 2017 shlomif <shlomif> 4.2.15-1.mga7
+ Revision: 1175885
- Fix build
- import from pyp2rpm

